Subject: Re: [PATCH v2 0/8] git-submodule.sh: improve parsing of options

From: Junio C Hamano <[email-masked]>
Date: Tue, 10 Dec 2024 09:50:36 +0900

Junio C Hamano <[email-masked]> writes:

> After reading this, it was confusing to see [1/8] still doing "1 or
> empty" boolean, only to be further modified in [7/8].  We prefer to
> see a single series stumbling in the middle and changing the course.

Facepalm.  Of course, we prefer _not_ to see such a change of course
in the middle.

Thanks.

> I am assuming (but I don't use "git submodule" very often, so my
> assumption may be way off) that there is no such variable we need to
> pass, but if not, we may need to reconsider and use the "variable has
> only value of the option" for at least some of them.